package kr.co.icontrols.ilp300_700.admin.inquiry;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.widget.RelativeLayout;

import kr.co.icontrols.ilp300_700.MainActivity;
import kr.co.icontrols.ilp300_700.R;
import kr.co.icontrols.ilp300_700.global.Configure.ConfigValue;
import kr.co.icontrols.ilp300_700.global.Configure.SetValue;
import kr.co.icontrols.ilp300_700.global.DataClasses.POSITION;
import kr.co.icontrols.ilp300_700.global.Declare;
import kr.co.icontrols.ilp300_700.global.Enumeration.DATAINPUTSCREEN;
import kr.co.icontrols.ilp300_700.global.Global;
import kr.co.icontrols.ilp300_700.global.ID;
import kr.co.icontrols.wallpadsupport.WpadImageView;
import kr.co.icontrols.wallpadsupport.WpadScreen;
import kr.co.icontrols.wallpadsupport.WpadTextView;

public class AdminSet_Inquiry_LobbyPhoneInfo extends WpadScreen {

    String TAG = "AdminSet_Inquiry_LobbyPhoneInfo";

    boolean bLOG = true;   // true, false
    boolean bLOG_DEBUG = false;   // true, false
    boolean bLOG_INFO = true;   // true, false
    Context mContext;
    WpadImageView Image_Background;
    WpadTextView Text_Title;
    WpadTextView Text_Line_01_Item;
    WpadTextView Text_Line_02_Item;
    WpadTextView Text_Line_03_Item;
    WpadTextView Text_Line_04_Item;
    int TextColor_Normal = Color.WHITE;
    int TextColor_Highlight = Color.GREEN;
    int TextColor_Red = Color.RED;
    int nFontSize_Instruction = 28;
    boolean bFontNonBold = false;
    boolean bFontBold = true;
    String strText_Title = "로비폰 정보 조회 1/7";
    String strText_Line_01_Item = "1] 현장코드 [ 12345678 ]";
    String strText_Line_02_Item = "2] 동 [ 102 ]";
    String strText_Line_03_Item = "3] 경비실 정보 [ 102동 10번 ]";
    String strText_Line_04_Item = "4] 메인 로비폰 [ 10 ]";
    public AdminSet_Inquiry_LobbyPhoneInfo(Context context, RelativeLayout layout) {
        super(context, layout);
        try {
            LOG("------------------ [START - AdminSet_Inquiry_LobbyPhoneInfo] -------------------");

            mContext = context;
            Initialize();

            Image_Background = new WpadImageView(context, 0, Declare.DeviceInfo.getScreenSizeFullW(ConfigValue.DEVICE_MODELTYPE), Declare.DeviceInfo.getScreenSizeFullH(ConfigValue.DEVICE_MODELTYPE), R.drawable.bg_back, 0, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.IMAGES.BACKGROUND);
            ViewRegistration(layout, Image_Background, 0, 0);

            Text_Title = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE).W, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontBold, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE);
            ViewRegistration(layout, Text_Title, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE).X, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE).Y);
            Text_Title.setText(strText_Title);

            Text_Line_01_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item).W, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item);
            ViewRegistration(layout, Text_Line_01_Item, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item).X, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item).Y);
            Text_Line_01_Item.setText(strText_Line_01_Item);

            Text_Line_02_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item).W, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item);
            ViewRegistration(layout, Text_Line_02_Item, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item).X, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item).Y);
            Text_Line_02_Item.setText(strText_Line_02_Item);

            Text_Line_03_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item).W, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item);
            ViewRegistration(layout, Text_Line_03_Item, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item).X, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item).Y);
            Text_Line_03_Item.setText(strText_Line_03_Item);

            Text_Line_04_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item).W, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item);
            ViewRegistration(layout, Text_Line_04_Item, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item).X, getPosition(ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item).Y);
            Text_Line_04_Item.setText(strText_Line_04_Item);

            updateScreen();
            ((MainActivity) mContext).setAutoScreenChange(ID.SCREENS.Main, MainActivity.nAdminScreenTimeout);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] AdminSet_Inquiry_LobbyPhoneInfo(Context context, RelativeLayout layout)");
            e.printStackTrace();
        }
    }

    private void LOG(String log) {
        if (bLOG) Log.v(TAG, log);
    }

    private void LOG_DEBUG(String log) {
        if (bLOG_DEBUG) Log.d(TAG, log);
    }

    private void LOG_INFO(String log) {
        if (bLOG_INFO) Log.i(TAG, log);
    }

    protected void Initialize() {
        try {
            LOG("[Initialize] ===== START =====");
            Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] Initialize() : " + e);
            e.printStackTrace();
        }
    }

    @Override
    protected void onClose() {
        try {
            LOG("------------------ [onClose - AdminSet_Inquiry_LobbyPhoneInfo] -------------------");
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onClose() : " + e);
            e.printStackTrace();
        }
        super.onClose();
    }

    @Override
    protected void onBrReceive(Intent intent) {
        try {
            LOG("[onBrReceive] Intent : " + intent);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onBrReceive(...) : " + e);
            e.printStackTrace();
        }
        super.onBrReceive(intent);
    }

    @Override
    protected void onKeyDown(int keyCode, KeyEvent event) {
        try {
//            LOG("[onKeyDown] keyCode [" + keyCode + "], event [" + event + "]");
            if (keyCode == Declare.Button.SHARP) {
                // 페이지 +
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_02;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_03;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_03)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_04;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_04)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_05;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_05)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_06;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_06)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_07;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_07)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_08;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_08)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;
            } else if (keyCode == Declare.Button.STAR) {
                // 페이지 -
                if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_08;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_01;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_03)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_02;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_04)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_03;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_05)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_04;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_06)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_05;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_07)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_06;
                else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_08)
                    Global.DataInputScreen = DATAINPUTSCREEN.DETAIL_07;
            } else if (keyCode == Declare.Button.CANCEL || keyCode == Declare.Button.TACT_CANCEL) {
                super.setChangeScreen(ID.SCREENS.AdminSet_Inquiry);
            }
            updateScreen();
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onKeyDown(int keyCode, KeyEvent event)");
            e.printStackTrace();
        }
        super.onKeyDown(keyCode, event);
    }

    private void updateScreen() {
        try {
//            LOG("[updateScreen] Start!!");
            if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_01) {
                strText_Title = "로비폰 정보 조회 1/8";
                strText_Line_01_Item = "1] 현장코드 [ " + ConfigValue.strSitecode + " ]";
                strText_Line_02_Item = "2] 로비폰 정보 [ " + ConfigValue.strDevice_Dong + "동 " + ConfigValue.strDevice_ID + "번 ]";
                strText_Line_03_Item = "3] 경비실 정보 [ " + ConfigValue.strGuard_Dong + "동 " + ConfigValue.strGuard_ID + "번 ]";
                if (ConfigValue.eMainSub == SetValue.Main)
                    strText_Line_04_Item = "4] 메인/서브 [ 메인 ]";
                else if (ConfigValue.eMainSub == SetValue.Sub)
                    strText_Line_04_Item = "4] 메인/서브 [ 서브 ]";
                else strText_Line_04_Item = "4] 메인/서브 [ 알수없음 ]";

            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_02) {
                strText_Title = "로비폰 정보 조회 2/8";
                strText_Line_01_Item = "5] 메인 로비폰 ID [ " + ConfigValue.strMainLPID + " ]";
                if (ConfigValue.eAccessPWSelected == SetValue.PublicAccessPW_Selected)
                    strText_Line_02_Item = "6] 출입 비밀번호 [ 공용 ]";
                else if (ConfigValue.eAccessPWSelected == SetValue.ResiAccessPW_Selected)
                    strText_Line_02_Item = "6] 출입 비밀번호 [ 세대 ]";
                else if (ConfigValue.eAccessPWSelected == SetValue.PW_Unselected)
                    strText_Line_02_Item = "6] 출입 비밀번호 [ 사용안함 ]";
                else strText_Line_02_Item = "6] 출입 비밀번호 [ 알수없음 ]";

                if (ConfigValue.eCallLevel == SetValue.Level_Line)
                    strText_Line_03_Item = "7] 호출범위 [ 라인 ]";
                else if (ConfigValue.eCallLevel == SetValue.Level_Dong)
                    strText_Line_03_Item = "7] 호출범위 [ 동 ]";
                else if (ConfigValue.eCallLevel == SetValue.Level_Entire)
                    strText_Line_03_Item = "7] 호출범위 [ 단지 ]";
                else strText_Line_03_Item = "7] 호출범위 [ 알수없음 ]";

                if (ConfigValue.eRFAccessLevel == SetValue.Level_Line)
                    strText_Line_04_Item = "8] RF 출입범위 [ 라인 ]";
                else if (ConfigValue.eRFAccessLevel == SetValue.Level_Dong)
                    strText_Line_04_Item = "8] RF 출입범위 [ 동 ]";
                else if (ConfigValue.eRFAccessLevel == SetValue.Level_Entire)
                    strText_Line_04_Item = "8] RF 출입범위 [ 단지 ]";
                else strText_Line_04_Item = "8] RF 출입범위 [ 알수없음 ]";

            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_03) {
                strText_Title = "로비폰 정보 조회 3/8";
                strText_Line_01_Item = "9] 문열림 시간 [ " + ConfigValue.nDoorOpenDuration + " ] 초";
                if (ConfigValue.eLPRole == SetValue.LPRole_Lobby)
                    strText_Line_02_Item = "10] 로비폰 역할 [ 공동현관 ]";
                else if (ConfigValue.eLPRole == SetValue.LPRole_CarGate)
                    strText_Line_02_Item = "10] 로비폰 역할 [ 차량출입 ]";
                else strText_Line_02_Item = "10] 로비폰 역할 [ 알수없음 ]";

                if (ConfigValue.eACULinkEnable == SetValue.TRUE)
                    strText_Line_03_Item = "11] 출입통제연동 [ 연동함 ]";
                else if (ConfigValue.eACULinkEnable == SetValue.FALSE)
                    strText_Line_03_Item = "11] 출입통제연동 [ 연동안함 ]";
                else strText_Line_03_Item = "11] 출입통제연동 [ 알수없음 ]";

                if (ConfigValue.eParcelLink == SetValue.TRUE)
                    strText_Line_04_Item = "12] 택배연동 [ 연동함 ]";
                else if (ConfigValue.eParcelLink == SetValue.FALSE)
                    strText_Line_04_Item = "12] 택배연동 [ 연동안함 ]";
                else strText_Line_04_Item = "12] 택배연동 [ 알수없음 ]";

            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_04) {
                strText_Title = "로비폰 정보 조회 4/8";
                if (ConfigValue.eMainServerType == SetValue.Server_Separated)
                    strText_Line_01_Item = "13] 단지관리시스템 [ 1.0 분리 ]";
                else if (ConfigValue.eMainServerType == SetValue.Server_Integrated)
                    strText_Line_01_Item = "13] 단지관리시스템 [ 1.5 통합 ]";
                else if (ConfigValue.eMainServerType == SetValue.Server2dot0_Integrated) {
                    if(ConfigValue.eSubServerType == SetValue.ServerMixed_Integrated){
                        strText_Line_01_Item = "13] 단지관리시스템 [ Mixed ]";
                    }else{
                        strText_Line_01_Item = "13] 단지관리시스템 [ 2.0 ]";
                    }
                }
                else strText_Line_01_Item = "13] 단지관리시스템 [ 알수없음 ]";

                if (ConfigValue.eCardReaderType == SetValue.CardReaderType_Standard)
                    strText_Line_02_Item = "14] 카드리더 [ 기본 ]";
                else strText_Line_02_Item = "14] 카드리더 [ 알수없음 ]";

                if (ConfigValue.eAdminAccessPWEnable == SetValue.TRUE)
                    strText_Line_03_Item = "15] 관리자 출입 비밀번호 [ 사용함 ]";
                else if (ConfigValue.eAdminAccessPWEnable == SetValue.FALSE)
                    strText_Line_03_Item = "15] 관리자 출입 비밀번호 [ 사용안함 ]";
                else strText_Line_03_Item = "15] 관리자 출입 비밀번호 [ 알수없음 ]";

                if (ConfigValue.eLogSend == SetValue.TRUE)
                    strText_Line_04_Item = "16] 로비정보 전송 [ 전송함 ]";
                else if (ConfigValue.eLogSend == SetValue.FALSE)
                    strText_Line_04_Item = "16] 로비정보 전송 [ 전송안함 ]";
                else strText_Line_04_Item = "16] 로비정보 전송 [ 알수없음 ]";

            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_05) {
                strText_Title = "로비폰 정보 조회 5/8";
                strText_Line_01_Item = "17] Heartbeat 주기 [ " + ConfigValue.nHearBeatTime + " ] 분";
                strText_Line_02_Item = "18] Statusbeat 주기 [ " + ConfigValue.nStatusBeatTime + " ] 분";
                strText_Line_03_Item = "19] 화재 문열림 지연시간 [ " + ConfigValue.nFireSensorDoorOpenDelay + " ] 분";
                strText_Line_04_Item = "20] 절전모드 [ " + ConfigValue.nECOTime + " ] 분";

            } else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_06) {
                strText_Title = "로비폰 정보 조회 6/8";
                if (ConfigValue.eIPExpansion == SetValue.TRUE)
                    strText_Line_01_Item = "21] IP 대역 확장 설정 [ 설정 ]";
                else if (ConfigValue.eIPExpansion == SetValue.FALSE)
                    strText_Line_01_Item = "21] IP 대역 확장 설정 [ 미설정 ]";
                else strText_Line_01_Item = "21] IP 대역 확장 설정 [ 알수없음 ]";

                if (ConfigValue.eHouseDivision == SetValue.TRUE)
                    strText_Line_02_Item = "22] 세대 분리 설정 [ 설정 ]";
                else if (ConfigValue.eHouseDivision == SetValue.FALSE)
                    strText_Line_02_Item = "22] 세대 분리 설정 [ 미설정 ]";
                else strText_Line_02_Item = "22] 세대 분리 설정 [ 알수없음 ]";

                if (ConfigValue.eSmartAutodoorLink == SetValue.TRUE)
                    strText_Line_03_Item = "23] 스마트 자동문 [ 연동 ]";
                else if (ConfigValue.eSmartAutodoorLink == SetValue.FALSE)
                    strText_Line_03_Item = "23] 스마트 자동문 [ 미연동 ]";
                else strText_Line_03_Item = "23] 스마트 자동문 [ 알수없음 ]";

                if (ConfigValue.eInsideSensorLink == SetValue.TRUE)
                    strText_Line_04_Item = "24] 내부센서 연동 [ 문열림 스위치 ]";
                else if (ConfigValue.eInsideSensorLink == SetValue.FALSE)
                    strText_Line_04_Item = "24] 내부센서 연동 [ RF리더기 ]";
                else strText_Line_04_Item = "24] 내부센서 연동 [ 알수없음 ]";

            }
            else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_07) {
                strText_Title = "로비폰 정보 조회 7/8";
                if (ConfigValue.eFingerPrintLink == SetValue.TRUE)  strText_Line_01_Item = "25] 지문인식 [ 설정 ]";
                else if (ConfigValue.eFingerPrintLink == SetValue.FALSE)  strText_Line_01_Item = "25] 지문인식 [ 미설정 ]";
                else strText_Line_01_Item = "25] 지문인식 [ 알수없음 ]";

                strText_Line_02_Item = "26] BLE 출력 설정 [ " + ConfigValue.nBLEStrength + " ]";
                strText_Line_03_Item = "27] 원패스 RSSI 테이블 [ " + ConfigValue.strOnePassRSSI + " ]";
                strText_Line_04_Item = "28] 원패스 출입대기 시간 [ " + ConfigValue.nOnePassAvailableTime + " ]";

            }
            else if (Global.DataInputScreen == DATAINPUTSCREEN.DETAIL_08) {
                strText_Title = "로비폰 정보 조회 8/8";
                strText_Line_01_Item = "29] 원패스 InOut 차단 시간 [ " + ConfigValue.nOnePassInOutBlockTime + " ]";
                strText_Line_02_Item = "30] 스마트키 InOut 차단 시간 [ " + ConfigValue.nSmartKeyInOutBlockTime + " ]";
                if (ConfigValue.eExternalOnePassLink == SetValue.TRUE)  strText_Line_01_Item = "31] 타사 원패스키 [ 연동 ]";
                else if (ConfigValue.eExternalOnePassLink == SetValue.FALSE)  strText_Line_03_Item = "31] 타사 원패스키 [ 미연동 ]";
                else strText_Line_03_Item = "31] 타사 원패스키 [ 알수없음 ]";
                strText_Line_04_Item = "";
            }
            else {
                strText_Title = "로비폰 정보 조회 1/7";
                strText_Line_01_Item = "1] 현장코드 [ " + ConfigValue.strSitecode + " ]";
                strText_Line_02_Item = "2] 동 [ " + ConfigValue.strDevice_Dong + " ]";
                strText_Line_03_Item = "3] 경비실 정보 [ " + ConfigValue.strGuard_Dong + "동 " + ConfigValue.strGuard_ID + "번 ]";
                if (ConfigValue.eMainSub == SetValue.Main) strText_Line_04_Item = "4] 메인/서브 [ 메인 ]";
                else if (ConfigValue.eMainSub == SetValue.Sub)
                    strText_Line_04_Item = "4] 메인/서브 [ 서브 ]";
                else strText_Line_04_Item = "4] 메인/서브 [ 알수없음 ]";
            }

            Text_Title.setText(strText_Title);
            Text_Line_01_Item.setText(strText_Line_01_Item);
            Text_Line_02_Item.setText(strText_Line_02_Item);
            Text_Line_03_Item.setText(strText_Line_03_Item);
            Text_Line_04_Item.setText(strText_Line_04_Item);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] updateScreen()");
            e.printStackTrace();
        }
    }

    private POSITION getPosition(int nID) {
        LOG("[getPosition] Start!!");
        POSITION position = new POSITION();
        position.SetPosition(0, 0, 480, 272);
        try {
            switch (nID) {
                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.IMAGES.BACKGROUND:
                    position.SetPosition(0, 0, 480, 272);
                    return position;

                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.TITLE:
                    position.SetPosition(0, 24, 480, 40);
                    return position;

                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_01_Item:
                    position.SetPosition(30, 73, 450, 40);
                    return position;

                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_02_Item:
                    position.SetPosition(30, 122, 450, 40);
                    return position;

                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_03_Item:
                    position.SetPosition(30, 171, 450, 40);
                    return position;

                case ID.SCREENS.ADMINSET_INQUIRY_LOBBYPHONEINFO.ELEMENTS.TEXTS.LINE_04_Item:
                    position.SetPosition(30, 220, 450, 40);
                    return position;

                default:
                    return position;
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] getPosition() : " + e);
            e.printStackTrace();
            return position;
        }
    }


}